%define tarname	Sphinx
%define name	python-sphinx
%define version	0.6.3
%define release	%mkrel 1

Summary:	Python documentation generator
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{tarname}-%{version}.tar.gz
License:	BSD
Group:		Development/Python
Url:		http://sphinx.pocoo.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
Requires:	python-pygments >= 0.8, python-jinja2 >= 2.1
Requires:	python-docutils >= 0.4
Requires:	python-pkg-resources
BuildRequires:	python-setuptools
BuildRequires:	python-docutils >= 0.4
BuildRequires:	python-jinja2 >= 2.1
%py_requires -d

Patch0:		Sphinx-0.6.2-sagemath.patch

%description
Sphinx is a tool that facilitates the creation of beautiful
documentation for Python projects from reStructuredText sources. It
was originally created to format the new documentation for Python, but
has since been cleaned up in the hope that it will be useful in many
other projects.

%prep
%setup -q -n %{tarname}-%{version}
%patch0 -p1

%install
%__rm -rf %{buildroot}
%__python setup.py install --root=%{buildroot} --record=FILELIST

make -C doc html

%clean
%__rm -rf %{buildroot}

%files -f FILELIST
%defattr(-,root,root)
%doc AUTHORS CHANGES LICENSE TODO doc/_build/html/


%changelog
* Tue Sep 08 2009 Lev Givon <lev@mandriva.org> 0.6.3-1mdv2010.0
+ Revision: 433689
- Update to 0.6.3.
  Build docs as html.

* Wed Aug 05 2009 Paulo Andrade <pcpa@mandriva.com.br> 0.6.2-2mdv2010.0
+ Revision: 409716
- Add sagemath patch to python-sphinx.

* Wed Jun 17 2009 Lev Givon <lev@mandriva.org> 0.6.2-1mdv2010.0
+ Revision: 386763
- Update to 0.6.2.

* Fri May 22 2009 Lev Givon <lev@mandriva.org> 0.6.1-1mdv2010.0
+ Revision: 378621
- Update to 0.6.1.

* Mon May 04 2009 Lev Givon <lev@mandriva.org> 0.5.2-2mdv2010.0
+ Revision: 371821
- Fix requirements.

* Tue Mar 24 2009 Lev Givon <lev@mandriva.org> 0.5.2-1mdv2010.0
+ Revision: 360951
- Update to 0.5.2.
  Change python-setuptools install requirement to python-pkg-resources.

* Sun Jan 04 2009 Jérôme Soyer <saispo@mandriva.org> 0.5.1-1mdv2009.1
+ Revision: 324276
- New upstream release

* Sun Dec 28 2008 Funda Wang <fundawang@mandriva.org> 0.5-2mdv2009.1
+ Revision: 320265
- rebuild for new python

* Tue Dec 02 2008 Lev Givon <lev@mandriva.org> 0.5-1mdv2009.1
+ Revision: 308946
- Update to 0.5.

* Sun Oct 19 2008 Lev Givon <lev@mandriva.org> 0.4.3-1mdv2009.1
+ Revision: 295422
- Update to 0.4.3.

* Wed Aug 06 2008 Lev Givon <lev@mandriva.org> 0.4.2-2mdv2009.0
+ Revision: 264333
- Add setuptools as an install requirement
  (pkg_resources needed by sphinx-build).

* Wed Aug 06 2008 Lev Givon <lev@mandriva.org> 0.4.2-1mdv2009.0
+ Revision: 264111
- Update to 0.4.2.

* Fri Jul 11 2008 Lev Givon <lev@mandriva.org> 0.4.1-1mdv2009.0
+ Revision: 233844
- Update to 0.4.1.

* Mon Jun 23 2008 Lev Givon <lev@mandriva.org> 0.4-1mdv2009.0
+ Revision: 228282
- Update to 0.4.

* Fri May 30 2008 Lev Givon <lev@mandriva.org> 0.3-1mdv2009.0
+ Revision: 213482
- import python-sphinx


* Thu May 29 2008 Lev Givon <lev@mandriva.org> 0.3-1mdv2008.1
- Package for Mandriva.
